interface ColorLinearOption extends Object {
    type?: String;
    x?: Number;
    y?: Number;
    x2?: Number;
    y2?: Number;
    colorStops: Array<{
        offset?: Number;
        color?: String;
    } | Object>;
    global?: Boolean;
}
/**
 * @class
 * @property
 */
export default class Pie {
    option: Object;
    keys: Array<String | Number | unknown>;
    values: Array<String | Number | unknown>;
    targets: Array<String | Number | unknown>;
    title: String;
    legendTitle: Array<String>;
    isHai: Boolean;
    protected colorRedOption: ColorLinearOption;
    protected colorYellowOption: ColorLinearOption;
    protected colorGreenOption: ColorLinearOption;
    constructor(props: any);
    /**
     * @param {null} unknown 可定义
     * @returns {void} 无返回
     */
    init(): void;
    /**
     *
     * @param prop
     * @returns prop
     */
    get<T>(prop: T): T;
}
export {};
